Package org.apache.lucene.analysis.miscellaneous

## Enum ScandinavianNormalizer.Foldings

- java.lang.Object
- - java.lang.Enum<ScandinavianNormalizer.Foldings>
  - - org.apache.lucene.analysis.miscellaneous.ScandinavianNormalizer.Foldings

- All Implemented Interfaces:
    `Serializable`, `Comparable<ScandinavianNormalizer.Foldings>`
  Enclosing class:
    ScandinavianNormalizer

      public static enum ScandinavianNormalizer.Foldings
      extends Enum<ScandinavianNormalizer.Foldings>

  List of possible foldings that can be used when configuring the filter

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AA` |
    `AE` |
    `AO` |
    `OE` |
    `OO` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScandinavianNormalizer.Foldings` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ScandinavianNormalizer.Foldings[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AA

          public static final ScandinavianNormalizer.Foldings AA

    - #### AO

          public static final ScandinavianNormalizer.Foldings AO

    - #### AE

          public static final ScandinavianNormalizer.Foldings AE

    - #### OE

          public static final ScandinavianNormalizer.Foldings OE

    - #### OO

          public static final ScandinavianNormalizer.Foldings OO

  - ### Method Detail

    - #### values

          public static ScandinavianNormalizer.Foldings[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScandinavianNormalizer.Foldings c : ScandinavianNormalizer.Foldings.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScandinavianNormalizer.Foldings valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null